Pinnacle Cart - 'index.php' Cross-Site Scripting

EDB-ID:

25394

Author:

SmOk3

Type:

webapps

Platform:

PHP

Published:

2005-04-12

source: https://www.securityfocus.com/bid/13138/info

Pinnacle Cart is affected by a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

http://www.example.com/index.php?p=catalog&parent=12&pg="><script>alert(document.domain);</script>